#pragma once

#include "CoreMinimal.h"
#include "MenuLoadoutPartViewData.h"
#include "MenuClassViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UMenuClassViewData : public UMenuLoadoutPartViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool IsMaxPlayerUsingClassReached;

public:
	UMenuClassViewData();
};

FORCEINLINE uint32 GetTypeHash(const UMenuClassViewData) { return 0; }
